Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartPaper2DInfo

    java.lang.Object
      jet.report.xls.ChartPaperInfo
          jet.report.xls.ChartPaper2DInfo

    public class ChartPaper2DInfo

extends ChartPaperInfo

contains the information of chart paper in the file.

Constructor Summary
`ChartPaper2DInfo()`
`ChartPaper2DInfo(int x, int y, int width, int height, ChartAreaInfo paperAreaInfo, LineFormatInfo gridX, LineFormatInfo gridY, LineFormatInfo gridY2, AreaFormatInfo wall, AxisInfo xAxisInfo, YAxisInfo yAxisInfo, YAxisInfo y2AxisInfo)` Constructs class ChartPaperInfo and sets its fields appropriately.

Method Summary
`LineFormatInfo` | `getGridY2()` Get the Information of gridline of y2 axis
`YAxisInfo` | `getY2Axis()` Get the Information of y1 axis
`void` | `setGridY2(LineFormatInfo gridY2)` Set the Information of gridline of y2 axis
`void` | `setY2Axis(YAxisInfo y2Axis)` Set the Information of y2 axis

Methods inherited from class jet.report.xls.ChartPaperInfo
`getGridX, getGridY, getHeight, getPaperArea, getWall, getWidth, getX, getXAxis, getY, getYAxis, setGridX, setGridY, setHeight, setPaperArea, setWall, setWidth, setX, setXAxis, setY, setYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPaper2DInfo

    public ChartPaper2DInfo()

### ChartPaper2DInfo

    public ChartPaper2DInfo(int x,
                            int y,
                            int width,
                            int height,
                            ChartAreaInfo paperAreaInfo,
                            LineFormatInfo gridX,
                            LineFormatInfo gridY,
                            LineFormatInfo gridY2,
                            AreaFormatInfo wall,
                            AxisInfo xAxisInfo,
                            YAxisInfo yAxisInfo,
                            YAxisInfo y2AxisInfo)

  Constructs class ChartPaperInfo and sets its fields appropriately.

  Parameters:
    `x` - The x-position of chart paper upper-left corner
    `y` - The y-position of chart paper upper-left corner
    `width` - Width of the chart paper
    `height` - Height of the chart paper
    `paperAreaInfo` - The information of the chart paper
    `gridX` - The information of the gridline in x axis
    `gridY1` - The information of the gridline in y1 axis
    `gridy2` - The information of the gridline in y2 axis
    `wall` - The information of wall
    `xAxisInfo` - The information of x axis
    `y1AxisInfo` - The information of y1 axis
    `y2AxisInfo` - The information of y2 axis

Method Detail

### setGridY2

    public void setGridY2(LineFormatInfo gridY2)

  Set the Information of gridline of y2 axis

  Parameters:
    `gridZ` - the Information of gridline of y2 axis

### getGridY2

    public LineFormatInfo getGridY2()

  Get the Information of gridline of y2 axis

  Returns:
    the Information of gridline of y2 axis

### setY2Axis

    public void setY2Axis(YAxisInfo y2Axis)

  Set the Information of y2 axis

  Parameters:
    `yAxis` - the Information of y2 axis

### getY2Axis

    public YAxisInfo getY2Axis()

  Get the Information of y1 axis

  Returns:
    the Information of y1 axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD